Package ghidra.framework

# Class ToolUtils

java.lang.Object
ghidra.framework.ToolUtils

public class ToolUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TOOL_EXTENSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `deleteTool(ToolTemplate template)`
  `static Set<ToolTemplate>`
  `getAllApplicationTools()`
  Returns all tools found in the classpath that live under a root 'defaultTools' directory or a root 'extraTools' directory
  `static String`
  `getApplicationToolDirPath()`
  Returns the user's personal tool chest directory path
  `static Set<ToolTemplate>`
  `getDefaultApplicationTools()`
  Returns all tools found in the classpath that live under a root 'defaultTools' directory
  `static Set<ToolTemplate>`
  `getExtraApplicationTools()`
  Returns all tools found in the classpath that live under a root 'extraTools' directory
  `static File`
  `getToolFile(String name)`
  `static String`
  `getUniqueToolName(ToolTemplate template)`
  `static File`
  `getUserToolsDirectory()`
  `static Map<String,ToolTemplate>`
  `loadUserTools()`
  `static ToolTemplate`
  `readToolTemplate(File toolFile)`
  `static ToolTemplate`
  `readToolTemplate(String resourceFileName)`
  `static void`
  `removeInvalidPlugins(ToolTemplate template)`
  `static void`
  `renameToolTemplate(ToolTemplate toolTemplate, String newName)`
  `static boolean`
  `writeToolTemplate(ToolTemplate template)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TOOL_EXTENSION

    public static final String TOOL_EXTENSION
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getUserToolsDirectory

    public static File getUserToolsDirectory()

  - ### getDefaultApplicationTools

    public static Set<ToolTemplate> getDefaultApplicationTools()
    Returns all tools found in the classpath that live under a root 'defaultTools' directory
    Returns:
      the default tools

  - ### getExtraApplicationTools

    public static Set<ToolTemplate> getExtraApplicationTools()
    Returns all tools found in the classpath that live under a root 'extraTools' directory
    Returns:
      the extra tools

  - ### getAllApplicationTools

    public static Set<ToolTemplate> getAllApplicationTools()
    Returns all tools found in the classpath that live under a root 'defaultTools' directory or a root 'extraTools' directory
    Returns:
      the tools

  - ### loadUserTools

    public static Map<String,ToolTemplate> loadUserTools()

  - ### removeInvalidPlugins

    public static void removeInvalidPlugins(ToolTemplate template)

  - ### deleteTool

    public static void deleteTool(ToolTemplate template)

  - ### renameToolTemplate

    public static void renameToolTemplate(ToolTemplate toolTemplate, String newName)

  - ### writeToolTemplate

    public static boolean writeToolTemplate(ToolTemplate template)

  - ### readToolTemplate

    public static ToolTemplate readToolTemplate(File toolFile)

  - ### readToolTemplate

    public static ToolTemplate readToolTemplate(String resourceFileName)

  - ### getUniqueToolName

    public static String getUniqueToolName(ToolTemplate template)

  - ### getToolFile

    public static File getToolFile(String name)

  - ### getApplicationToolDirPath

    public static String getApplicationToolDirPath()
    Returns the user's personal tool chest directory path
    Returns:
      the path